<?php
namespace Root\Core\Helper;

use Illuminate\Support\Facades\Cache;

class CacheHelper
{
    public static function remember(string $key, int $seconds, callable $callback): mixed
    {
        return Cache::remember($key, $seconds, $callback);
    }

    public static function forget(string $key): bool
    {
        return Cache::forget($key);
    }

    public static function getOrDefault(string $key, mixed $default = null): mixed
    {
        return Cache::get($key, $default);
    }
}
